Subject: Re: [PATCH 06/10] trailer: make trailer_info struct private

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Jan 2024 16:58:54 -0800

"Linus Arver via GitGitGadget" <[email-masked]> writes:

> From: Linus Arver <[email-masked]>
>
> In 13211ae23f (trailer: separate public from internal portion of
> trailer_iterator, 2023-09-09) we moved trailer_info behind an anonymous
> struct to discourage use by trailer.h API users. However it still left
> open the possibility of external use of trailer_info itself. Now that
> there are no external users of trailer_info, we can make this struct
> private.

Surely, and looking good from a cursory glance.  I'll defer to
Christian to comment on this step as an area expert, though.

Thanks.